from data_gateway_sdk.protocols.smpm.smpm_ul_device_heat_proxy_meter_16b_daily import SmpmUlDeviceHeatProxyMeter16BDailyData
from data_gateway_sdk.utils.buf_ref import BufRef


def test_smpm_ul_device_heat_proxy_meter_16b_daily() -> None:
    case_serialized = bytes.fromhex("8464c81900300000286dba1400000000")
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=3.3, uptime_min=3, meter_battery_volts=3.3, capacitor_volts=3.33, radio_proxy_battery_volts=3.31, error_meter_sync=False, error_reset=False) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(value=3.3, uptime_min=3, meter_battery_volts=3.3, capacitor_volts=3.33, radio_proxy_battery_volts=3.31, error_meter_sync=False, error_reset=False))  # noqa: E501
    case_serialized = bytes.fromhex("84640000000000000000006000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=0.0, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=0.0, uptime_min=0, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("84640000000000000000006000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=0.0, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=0.0, uptime_min=0, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("84640000000000000000006000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=0.0, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=0.0, uptime_min=8388608, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("84640000000000000000006000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=0.0, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=0.0, uptime_min=8388608, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("84640000000000000000f07f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=0.0, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=5.11, uptime_min=0, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("84640000000000000000f07f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=0.0, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=5.11, uptime_min=0, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("84640000000000000000f07f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=0.0, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=5.11, uptime_min=8388608, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("84640000000000000000f07f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=0.0, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=5.11, uptime_min=8388608, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fc07006000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=0.0, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=0.0, uptime_min=0, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fc07006000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=0.0, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=0.0, uptime_min=0, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fc07006000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=0.0, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=0.0, uptime_min=8388608, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fc07006000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=0.0, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=0.0, uptime_min=8388608, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fc07f07f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=0.0, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=5.11, uptime_min=0, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fc07f07f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=0.0, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=5.11, uptime_min=0, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fc07f07f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=0.0, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=5.11, uptime_min=8388608, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fc07f07f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=0.0, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=0.0, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=5.11, uptime_min=8388608, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("846400000000000000f80f6000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=5.11, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=0.0, uptime_min=0, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("846400000000000000f80f6000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=5.11, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=0.0, uptime_min=0, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("846400000000000000f80f6000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=5.11, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=0.0, uptime_min=8388608, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("846400000000000000f80f6000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=5.11, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=0.0, uptime_min=8388608, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("846400000000000000f8ff7f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=5.11, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=5.11, uptime_min=0, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("846400000000000000f8ff7f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=5.11, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=5.11, uptime_min=0, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("846400000000000000f8ff7f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=5.11, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=5.11, uptime_min=8388608, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("846400000000000000f8ff7f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=0.0, capacitor_volts=5.11, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=0.0, radio_proxy_battery_volts=5.11, uptime_min=8388608, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fcff0f6000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=5.11, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=0.0, uptime_min=0, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fcff0f6000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=5.11, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=0.0, uptime_min=0, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fcff0f6000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=5.11, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=0.0, uptime_min=8388608, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fcff0f6000000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=5.11, radio_proxy_battery_volts=0.0, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=0.0, uptime_min=8388608, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fcffff7f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=5.11, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=5.11, uptime_min=0, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fcffff7f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=5.11, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=5.11, uptime_min=0, value=268435.456))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fcffff7f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=5.11, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=5.11, uptime_min=8388608, value=0.0))  # noqa: E501
    case_serialized = bytes.fromhex("8464000000000000fcffff7f00000000")  # overflow
    assert SmpmUlDeviceHeatProxyMeter16BDailyData(value=0.0, uptime_min=0, meter_battery_volts=5.11, capacitor_volts=5.11, radio_proxy_battery_volts=5.11, error_meter_sync=True, error_reset=True) == SmpmUlDeviceHeatProxyMeter16BDailyData.parse(BufRef(case_serialized))  # noqa: E501
    assert case_serialized == SmpmUlDeviceHeatProxyMeter16BDailyData.serialize(SmpmUlDeviceHeatProxyMeter16BDailyData(capacitor_volts=5.11, error_meter_sync=True, error_reset=True, meter_battery_volts=5.11, radio_proxy_battery_volts=5.11, uptime_min=8388608, value=268435.456))  # noqa: E501
